/*
 * @Author: your name
 * @Date: 2022-02-15 10:01:57
 * @LastEditTime: 2022-02-28 15:51:37
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AEet urkl
 * @FilePath: \MShopWeApp\packageB\pages\AI-test-skin\shoot_notice\shoot_notice.js
 */
// packageB/pages/AI-test-skin/shoot_notice/shoot_notice.js
const app = getApp();
const request = app.request;
const os = app.globalData;
const setting = os.setting;
const ut = require('../../../../utils/util');
Page({

    /**
     * 页面的初始数据
     */
    data: {
        iurl: setting.imghost,
        msg:null,
        fail_result:new Array(), //失败原因
        ce_user_id:0
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        if(options && options.fail_result){
            var fail_result = JSON.parse(options.fail_result);
            this.setData({
                fail_result,
            })
        }
        if(options && options.msg){
            this.setData({
                msg:options.msg
            })
        }

        if(options && options.ce_user_id) this.data.ce_user_id=options.ce_user_id;

        // msg=decodeURIComponent(msg);
        // this.setData({msg:msg});
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },
    //从相册中选择图片
    back_to:function () {
        let url = "/packageD/pages/AI-test-skin/shoot_notice/shoot_notice";
        if(this.data.ce_user_id) url+="?ce_user_id="+this.data.ce_user_id;
        app.goto(url);
    },




})